migrate_favorites.py crashed with ImportError in __main__: No module named gconf

Bug #752176 reported by Martin Pool on 2011-04-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Didier Roche
unity (Ubuntu)
Undecided
Didier Roche

Bug Description

Binary package hint: unity

this popped up while running apt-get dist-upgrade

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: unity-common 3.8.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DVI.D.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1920x1200 1600x1200 1680x1050 1280x1024 1280x1024 1152x864 1024x768 1024x768 800x600 800x600 640x480 640x480 720x400
 edid-base64: AP///////wAQrDCgUzE0MBMTAQOAOiR46un1rFEwtCURUFSlSwCBgKlAcU+zAAEBAQEBAQEBKDyAoHCwI0AwIDYARmwhAAAaAAAA/wBSSzUxNDk1ODA0MVMKAAAA/ABERUxMIDI3MDlXCiAgAAAA/QA4TB5TEQAKICAgICAgAHU=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
Date: Wed Apr 6 13:13:29 2011
DistUpgraded: Log time: 2010-12-21 12:35:39.044742
DistroCodename: natty
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExecutablePath: /usr/lib/unity/migrate_favorites.py
GraphicsCard:
 ATI Technologies Inc RS880 [Radeon HD 4290] [1002:9714] (prog-if 00 [VGA controller])
   Subsystem: Giga-byte Technology Device [1458:d000]
InterpreterPath: /usr/bin/python2.7
MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/unity/migrate_favorites.py
ProcEnviron:
 LANGUAGE=en_AU:en
 LANG=en_AU.UTF-8
 SHELL=/bin/zsh
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-8-generic root=/dev/mapper/vg_main-natty_64 ro clock=hpet quiet splash rootdelay=10 vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2
PythonArgs: ['/usr/lib/unity/migrate_favorites.py']
Renderer: Unknown
SourcePackage: unity
Title: migrate_favorites.py crashed with ImportError in __main__: No module named gconf
Traceback:
 Traceback (most recent call last):
   File "/usr/lib/unity/migrate_favorites.py", line 11, in <module>
     import gconf
 ImportError: No module named gconf
UpgradeStatus: Upgraded to natty on 2010-12-21 (106 days ago)
UserGroups: adm admin audio cdrom dialout libvirtd lpadmin plugdev pulse pulse-access sambashare
XorgConf:
 Section "Device"
  Identifier "Configured Video Device"
  Option "SWCursor" "on"
 EndSection
dmi.bios.date: 05/04/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F7c
dmi.board.name: GA-890GPA-UD3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF7c:bd05/04/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-890GPA-UD3H
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.ia32-libs: ia32-libs 20090808ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Martin Pool (mbp) wrote :
tags: removed: need-duplicate-check
Omer Akram (om26er) on 2011-04-07
Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
visibility: private → public
Didier Roche (didrocks) on 2011-04-11
Changed in unity:
assignee: nobody → Didier Roche (didrocks)
milestone: none → 3.8.6
Didier Roche (didrocks) on 2011-04-11
Changed in unity:
status: New → Fix Committed
importance: Undecided → High
Didier Roche (didrocks) on 2011-04-11
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.6-0ubuntu1

---------------
unity (3.8.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGABRT in raise() (LP: #748163)
    - System freezes when maximize button is clicked (LP: #754063)
    - compiz crashed with SIGSEGV in QuicklistView::IsMenuItemSeperator()
      (LP: #754302)
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #754235)
    - compiz crashed with SIGSEGV in ubus_server_pump_message_queue()
      (LP: #754657)
    - drag from dash to launcher (LP: #662616)
    - Add a test case for unity-decorator regressions (LP: #736878)
    - the files place category combo has empty space (LP: #741641)
    - panel superposition (LP: #742859)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - Unity Launcher stops autohiding and is not responsive (LP: #744325)
    - [FFE] Need API to set urgency from background process (LP: #747677)
    - Launcher - Escape from 'drag behind the Launcher' interaction
      (LP: #750298)
    - Launcher needs to be desaturated when Dash is open, not transparent.
      (LP: #750358)
    - compiz crashed with SIGSEGV in free() (LP: #752293)
    - migrate_favorites.py crashed with ImportError in __main__: No module
      named gconf (LP: #752176)
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow,
      CompWindow, 0>::get() (LP: #743807)
    - cannot close the dash by clicking on the bfb (LP: #753914)
    - Animation for Grid Previews is broken (LP: #754088)
    - compiz crashed with SIGSEGV in PanelMenuView::OnPlaceViewShown()
      (LP: #754585)
    - Pressing F10 then "left arrow" wit Unity on Natty makes the system
      unusable (LP: #756867)
    - compiz crashed with SIGSEGV in __pthread_mutex_lock() (LP: #711231)
    - Tooltips and Dash Font Problems (LP: #741605)
    - Title elipisising incorrect. Type “Shotwell” for a good example
      (LP: #750350)
    - compiz crashed with SIGSEGV in Launcher::Launcher() (LP: #748096)
    - BFB - Turn top left corner blue rather than Ubuntu logo (LP: #755286)
    - launcher appears and gets stuck when resizing windows with mouse
      (LP: #754690)
    - Wrong item gets dragged out (LP: #729796)
    - Launcher - when the launcher is folded, the bottom icon partially falls
      off the end of the screen (LP: #731869)
    - unity-window-decorator: Resize padding: Tiny focused windows lose resize
      padding and shadow when <69 pixels wide (LP: #737707)
    - Deinstalling an application with launcher entry leaves orphaned shortcut
      (LP: #748107)
    - Two Nautilus windows open when clicked on a device icon on Launcher
      (started after 3.8.2) (LP: #748299)
    - compiz crashed with SIGSEGV in Launcher::AnimationTimeout()
      (LP: #749890)
  * debian/control:
    - build-dep on latest nux (ABI break)
  * debian/unity-common.install:
    - install the desktop file for the new capplet
 -- Didier Roche <email address hidden> Mon, 11 Apr 2011 12:42:33 +0200

Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers